%Josh Clanton
%ELEC 6430 Semester Project on Optical Flow
%4/4/05
%circle image sequence

clear
clc
close all

dd = 5;
alpha = 20; %weighting factor
num_its = 16; %number of iterations

img_num = 12; %number of images in sequence
numperof = 4; %number of images per optical flow calculation

%===========circle sequence====================
filename = 'circle%d.jpg';
nn = 0;
fignum = 1;
while nn < img_num
    for ii = 1:numperof
        p = nn+ii;
        s = sprintf(filename,p);
        [input,map] = imread(s,'jpeg');
        dummy = rgb2ind(input,gray(256));
        E(:,:,ii) = dummy;
    end
    [M, N, sizek]=size(E);
    u = zeros(M,N);
    v = zeros(M,N);
    firstrun = 0;
    [uu,vv]=hsof(E,num_its,alpha,u,v);
    figure(fignum)
    [xx,yy] = meshgrid(1:dd:N,1:dd:M); %creates grid
    a = uu(1:dd:M,1:dd:N);
    b = vv(1:dd:M,1:dd:N);
    axis ij
    quiver(xx,-yy,-b,a,'k')
    nn = nn + numperof;
    eval(sprintf('print -depsc circle_of%d',fignum))
    fignum = fignum+1;
end


