clear
clc
close all

nn = 12; %number of images in the sequence
for ii = 1:nn
    s = sprintf('gb%d.jpg',ii);
    [input,map] = imread(s,'jpeg');
    original(:,:,:,ii) = input;
    dummy = rgb2ind(input,gray(256));
    large(:,:,ii) = dummy;
    dummy2= large(1:150,100:300,ii);
    small(:,:,ii) = dummy2;
    A = mat2gray(dummy2);
    [A,map] = gray2ind(A,256);
    filename = sprintf('gbe%d.jpg',ii);
    imwrite(A,map,filename,'jpeg')
end

figure(2)
subplot(2,2,1)
imagesc(original(:,:,:,1))
title('frame 1')
subplot(2,2,2)
imagesc(original(:,:,:,2))
title('frame 2')
subplot(2,2,3)
imagesc(original(:,:,:,3))
title('frame 3')
subplot(2,2,4)
imagesc(original(:,:,:,4))
title('frame 4')
truesize
print -depsc balloon_sequence

%make  group figures for report
for ii = 1:4:9
    figure(ii)
    subplot(2,2,1)
    imagesc(small(:,:,ii))
    title('frame 1')
    subplot(2,2,2)
    imagesc(small(:,:,ii+1))
    title('frame 2')
    subplot(2,2,3)
    imagesc(small(:,:,ii+2))
    title('frame 3')
    subplot(2,2,4)
    imagesc(small(:,:,ii+3))
    title('frame 4')
    colormap(gray(256))
    truesize
    eval(sprintf('print -depsc gbe%dthru%d',ii,ii+3))
end


