clear
clc
close all

xoff = 5;
yoff = 10;
num = 12;

[input,map] = imread('blimp_original.jpg','jpeg');
imagesc(input)
print -depsc blimp_original
close all
original = rgb2ind(input,gray(256));
dummy = original(1:256,1:320);
[M,N] = size(dummy);
circle = 255*ones(M,N,num);
circle(:,:,1) = dummy;

for kk = 2:num
    dummy = circle(:,:,kk-1);
    [R,C] = find(dummy<200);
    nn = size(R,1);
    for ii = 1:nn
        circle(R(ii)+xoff,C(ii)+yoff,kk) = dummy(R(ii),C(ii));
    end
end

% for kk = 2:4
%     dummy = circle(:,:,kk-1);
%     [R,C] = find(dummy<200);
%     nn = size(R,1);
%     for ii = 1:nn
%         circle(R(ii),C(ii)+yoff,kk) = dummy(R(ii),C(ii));
%     end
% end
% 
% for kk = 5:8
%     dummy = circle(:,:,kk-1);
%     [R,C] = find(dummy<200);
%     nn = size(R,1);
%     for ii = 1:nn
%         circle(R(ii)+xoff,C(ii),kk) = dummy(R(ii),C(ii));
%     end
% end
% 
% for kk = 9:12
%     dummy = circle(:,:,kk-1);
%     [R,C] = find(dummy<200);
%     nn = size(R,1);
%     for ii = 1:nn
%         circle(R(ii)-xoff,C(ii),kk) = dummy(R(ii),C(ii));
%     end
% end


%make jpeg sequence for blimp_of.m
for ii = 1:num
    A = mat2gray(circle(:,:,ii));
    [A,map] = gray2ind(A,256);
    filename = sprintf('dori%d.jpg',ii);
    imwrite(A,map,filename,'jpeg')
end

%make  group figures for report
for ii = 1:4:9
    figure(ii)
    subplot(2,2,1)
    imagesc(circle(:,:,ii))
    title('frame 1')
    subplot(2,2,2)
    imagesc(circle(:,:,ii+1))
    title('frame 2')
    subplot(2,2,3)
    imagesc(circle(:,:,ii+2))
    title('frame 3')
    subplot(2,2,4)
    imagesc(circle(:,:,ii+3))
    title('frame 4')
    colormap(gray(256))
    truesize
    eval(sprintf('print -depsc blimp%dthru%d',ii,ii+3))
end
% figure(1)
% subplot(2,1,1)
% imagesc(dummy)
% subplot(2,1,2)
% imagesc(background)
% colormap(gray(256))
% truesize
