clear
clc
close all

nn = 1; %number of images in the sequence
for ii = 1:nn
    s = sprintf('gb%d.jpg',ii);
    [input,map] = imread(s,'jpeg');
    dummy = rgb2ind(input,gray(256));
    large(:,:,ii) = dummy;
    dummy2= large(20:150,100:300,ii);
    small(:,:,ii) = dummy2;
%     A = mat2gray(dummy2);
%     [A,map] = gray2ind(A,256);
%     filename = sprintf('gbe%d.jpg',ii);
%     imwrite(A,map,filename,'jpeg')
end

Lapl = [0,1,0;1,-4,1;0,1,0];
Sx = [-1,0,1;-2,0,2;-1,0,1];
Sy = Sx';
xx = double(dummy2);

Gm = conv2(xx,Sx,'same');
Gn = conv2(xx,Sy,'same');
gg = sqrt(Gm.^2+Gn.^2);

dd = conv2(xx,Lapl,'same');
lambda = 10;
yy = xx - lambda*gg.*dd;

figure(1)
subplot(2,1,1)
imagesc(xx)
subplot(2,1,2)
imagesc(yy)
colormap(gray(256))
truesize