H1 = [0,-1,0;-1,4,-1;0,-1,0];
camera = imread('camera.tif','tiff');
map = colormap;
I = mat2gray(camera);
[camera,map] = gray2ind(I,256);

G2 = conv2(camera,H1);

for ii = 1:size(G2,1)
    for jj = 1:size(G2,2)
        %test to see if current pixel is positive
        cur_pix = (G2(ii,jj)>0);
        %test to see if neighboring pixel is positive
        if ii == size(G2,1)
            output(ii,jj) = output(ii-1,jj);
            return
        end
        next_pix = (G2(ii+1,jj)>0);
        %if they are different, then there is an edge
        if cur_pix == next_pix
            output(ii,jj) = 0;
        else
            output(ii,jj) = 255;
        end
    end
end
image(output)
