%Josh Clanton
%ELEC 6430
%2/24/05

%Create the Mexican Hat convolution mask
clear
clc

size = 3;
sigma = 0.5;
for xx = 1:size
    for yy = 1:size
    H(xx,yy) = (((xx^2)+(yy^2)-2*sigma^2)/(2*pi*sigma^6))*exp(-(xx^2+yy^2)/(2*sigma^2));
    end
end

[camera,map] = imread('camera.tif','tiff');
I = mat2gray(camera);
[camera,map] = gray2ind(I,256);

G2 = conv2(camera,H);

figure(1)
subplot(2,1,1)
image(camera)
subplot(2,1,2)
image(G2)
truesize
