clear
clc

%==========Laplacian Operator==============
H = [0,-1,0;-1,4,-1;0,-1,0];

[camera,map] = imread('camera.tif','tiff');
I = mat2gray(camera);
[camera,map] = gray2ind(I,256);

G2 = conv2(camera,H);

%========zero crossings=============
for ii = 2:size(G2,1)
    for jj = 2:size(G2,2)
    cur_pix = (G2(ii,jj)>0);
    prev_pix = (G2(ii-1,jj)>0);
    if cur_pix == prev_pix
        dummy(ii,jj) = 0;
    else
        dummy(ii,jj) = 1;
    end
    end
end

for jj = 2:size(G2,1)
    for ii = 2:size(G2,2)
    cur_pix = (G2(ii,jj)>0);
    prev_pix = (G2(ii,jj-1)>0);
    if cur_pix == prev_pix
        dummy2(ii,jj) = 0;
    else
        dummy2(ii,jj) = 1;
    end
    end
end

output = 255*or(dummy,dummy2);
figure(1)
subplot(3,1,1)
image(camera)
subplot(3,1,2)
image(G2)
subplot(3,1,3)
colormap(gray(256))
image(output)
truesize
